Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSIOSScreenSharingView Class Reference

CSIOSScreenSharingView object provides screen sharing canvas on which received frames are drawn on. More...

`#import <CSIOSScreenSharingView.h>`

Inherits UIView.

## Properties
CSScreenSharingListener * | contentSharingDelegate
| CSScreenSharingListener object which implements CSContentSharingDelegate and is responsible for drawing incoming frames on CALayer object backing CSScreenSharingView. More...
UIImage * | cursorImage
| Image of cursor which is rendered on sharing canvas. More...
UIImage * | pauseImage
| Image of pause which is rendered in the center of sharing canvas when sharing is paused. More...

## Detailed Description

CSIOSScreenSharingView object provides screen sharing canvas on which received frames are drawn on.

Client should hold strong reference to object of this class.

## Property Documentation

- (CSScreenSharingListener*) contentSharingDelegate
| read write nonatomic strong

CSScreenSharingListener object which implements CSContentSharingDelegate and is responsible for drawing incoming frames on CALayer object backing CSScreenSharingView.

CSScreenSharingListener has to be created and set by client.

- (UIImage*) cursorImage
| read write nonatomic strong

Image of cursor which is rendered on sharing canvas.

By default image with name cursor.png from CSScreenSharingListener class bundle is taken. In case image is not provided neither in CSScreenSharingListener bundle nor by this property, cursor isn't rendered on sharing canvas.

- (UIImage*) pauseImage
| read write nonatomic strong

Image of pause which is rendered in the center of sharing canvas when sharing is paused.

There's no default image for pause icon. In case image is not provided by client using this property, pause image isn't rendered on sharing canvas.

The documentation for this class was generated from the following file:

- CSIOSScreenSharingView.h